import axios from '@/libs/axios.js';

// 获取网点下的服务项目
export const getStoreItems = params => {
  return axios.request({
    url: `item/storeItems/?storeId=${params.storeId}`,
    method: 'get',
  })
};
// 查看用户是否设置过支付密码
export const existPayPwd = params => {
  return axios.request({
    url: `customer/existPayPwd`,
    method: 'get',
  })
};
// 设置支付密码
export const setPayPwd = params => {
  return axios.request({
    url: `customer/setPayPassword`,
	data: params,
    method: 'post',
  })
};
// 修改支付密码
export const changePayPwd = params => {
  return axios.request({
    url: `customer/updatePayPwd`,
	data: params,
    method: 'post',
  })
};

// 下单 保存订单
export const saveOrder = params => {
  return axios.request({
    url: `order/addOrder`,
    method: 'post',
	data: params
  })
};

// 下单 预支付
export const signPay  = params => {
  return axios.request({
    url: `order/payOrder`,
    method: 'post',
    data: params
  })
};

// 我的订单
export const getOrderList = params => {
	let url = `order/queryPage/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		method: 'post',
		data: params
	})
};
// 订单详情
export const orderDetail = params => {
  return axios.request({
    url: `order/findById/${params.id}`,
    method: 'get',
  })
};

// 查询物流
export const queryOrderExpress = params => {
	return axios.request({
	  url: `orderExpress/findByOrderNo/${params.id}`,
	  method: 'get',
	})
}
// 查物流下商品信息
export const queryOrderGoods = params => {
	return axios.request({
	  url: `orderGoods/findByExpressNo/${params.id}`,
	  method: 'get',
	})
}
// 取消订单
export const cancleOrder = params => {
	return axios.request({
	  url: `order/cancel/${params.id}`,
	  method: 'get',
	})
}